
%global meadversion 1.15.22
%global namedversion 1.15.22.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package wildfly-elytron}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.15.22.Final-redhat-00001

Name:           %{?scl_prefix}wildfly-elytron
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WildFly Elytron
Group:          Development/Java

%if %with mead
Source100: wildfly-elytron-parent-1.15.22.Final-redhat-00001-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly-security/wildfly-elytron
%if 0
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.2.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
WildFly Security SPIs.

%package -n %{?scl_prefix}wildfly-elytron-tool
Summary:        Narayana: compensations
Group:          Development/Java


%description -n %{?scl_prefix}wildfly-elytron-tool
WildFly Elytron Tool

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-elytron
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-elytron-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
for j in  \
        wildfly-elytron-asn1 \
        wildfly-elytron-audit \
        wildfly-elytron-auth \
        wildfly-elytron-auth-server-deprecated \
        wildfly-elytron-auth-server \
        wildfly-elytron-auth-server-http \
        wildfly-elytron-auth-server-sasl \
        wildfly-elytron-auth-util \
        wildfly-elytron-base \
        wildfly-elytron-client \
        wildfly-elytron-credential \
        wildfly-elytron-credential-source-deprecated \
        wildfly-elytron-credential-source-impl \
        wildfly-elytron-credential-store \
        wildfly-elytron-digest \
        wildfly-elytron-encryption \
        wildfly-elytron-http-basic \
        wildfly-elytron-http-bearer \
        wildfly-elytron-http-cert \
        wildfly-elytron-http-deprecated \
        wildfly-elytron-http-digest \
        wildfly-elytron-http-external \
        wildfly-elytron-http-form \
        wildfly-elytron-http \
        wildfly-elytron-http-spnego \
        wildfly-elytron-http-sso \
        wildfly-elytron-http-stateful-basic \
        wildfly-elytron-http-util \
        wildfly-elytron-jacc \
        wildfly-elytron-jaspi \
        wildfly-elytron-json-util \
        wildfly-elytron-keystore \
        wildfly-elytron-mechanism-digest \
        wildfly-elytron-mechanism \
        wildfly-elytron-mechanism-gssapi \
        wildfly-elytron-mechanism-http \
        wildfly-elytron-mechanism-oauth2 \
        wildfly-elytron-mechanism-scram \
        wildfly-elytron-password-impl \
        wildfly-elytron-permission \
        wildfly-elytron-provider-util \
        wildfly-elytron-realm \
        wildfly-elytron-realm-jdbc \
        wildfly-elytron-realm-ldap \
        wildfly-elytron-realm-token \
        wildfly-elytron-sasl-anonymous \
        wildfly-elytron-sasl-auth-util \
        wildfly-elytron-sasl-deprecated \
        wildfly-elytron-sasl-digest \
        wildfly-elytron-sasl-entity \
        wildfly-elytron-sasl-external \
        wildfly-elytron-sasl \
        wildfly-elytron-sasl-gs2 \
        wildfly-elytron-sasl-gssapi \
        wildfly-elytron-sasl-localuser \
        wildfly-elytron-sasl-oauth2 \
        wildfly-elytron-sasl-otp \
        wildfly-elytron-sasl-plain \
        wildfly-elytron-sasl-scram \
        wildfly-elytron-security-manager-action \
        wildfly-elytron-security-manager \
        wildfly-elytron-ssl \
        wildfly-elytron-tool \
        wildfly-elytron-util \
        wildfly-elytron-x500-cert-acme \
        wildfly-elytron-x500-cert \
        wildfly-elytron-x500-cert-util \
        wildfly-elytron-x500-deprecated \
        wildfly-elytron-x500 \
        wildfly-elytron-x500-principal; do

    %{__cp} -p %{_sourcedir}/$j-%{namedversion}.jar %{buildroot}%{_javadir}/$j-%{namedversion}.jar
    %{__cp} -p %{_sourcedir}/$j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/$j-%{namedversion}-sources.jar
    %if %with javadoc
    %{__cp} -p %{_sourcedir}/$j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/$j-%{namedversion}-javadoc.jar
    %endif
    %{__cp} -p %{_sourcedir}/$j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/$j-%{namedversion}-sources.jar
done

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-elytron-%{namedversion}
unzip -qq %{_sourcedir}/wildfly-elytron-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-elytron-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-elytron-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-elytron
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/wildfly-elytron*-%{namedversion}.jar
%{_javadir}/wildfly-elytron*.jar
%if %with javadoc
%{_javadir}/wildfly-elytron*-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-elytron*-javadoc.jar
%endif
%{_javadir}/wildfly-elytron*-%{namedversion}-sources.jar
%{_javadir}/wildfly-elytron*-sources.jar
%exclude %{_javadir}/wildfly-elytron-tool*

%files -n %{?scl_prefix}wildfly-elytron-tool
%defattr(0644,root,root,0755)
%{_javadir}/wildfly-elytron-tool-%{namedversion}.jar
%{_javadir}/wildfly-elytron-tool.jar
%{_javadir}/wildfly-elytron-tool-%{namedversion}-sources.jar
%{_javadir}/wildfly-elytron-tool-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-elytron-%{namedversion}
%{_javadocdir}/wildfly-elytron
%endif

%changelog
* Wed Feb 28 2024 cpaas-ops <cpaas-ops@redhat.com> - 1.15.22-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Dec 19 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.15.21-1.Final_redhat_00001.1
- Built by CPaaS

* Wed Aug 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.15.20-1.Final_redhat_00001.1
- Built by CPaaS

* Thu Jun 15 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.15.17-1.Final_redhat_00001.1
- Built by CPaaS

* Wed Jan 11 2023 Harsha Cherukuri <hcheruku@redhat.com> - 1.15.16-1.Final_redhat_00001.1
- Building wrapper for v1.15.16.Final-redhat-00001


* Wed Dec 21 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.15.15-1.Final_redhat_00001.1
- Built by CPaaS

* Mon Aug 22 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.15.14-1.Final_redhat_00001.1
- Built by CPaaS

* Wed Jun 08 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.15.13-1.Final_redhat_00001.1
Built by CPaaS



* Wed Apr 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.15.12-1.Final_redhat_00001.1
Built by CPaaS



* Fri Feb 11 2022 Harsha Cherukuri <hcheruku@redhat.com> - 1.15.11-1.Final_redhat_00002.1
- Building new version 1.15.11.Final-redhat-00002

* Wed Feb 09 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.15.11-1.Final_redhat_00001.1
Built by CPaaS

* Mon Dec 20 2021 Harsha Cherukuri <hcheruku@redhat.com> - 1.15.9-2.Final_redhat_00001.1
- Fix for "Could not find wildfly-elytron-http-stateful-basic Java extension for this JVM"

* Tue Nov 30 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.15.9-1.Final_redhat_00001.1
Built by CPaaS

* Tue Sep 28 2021 Permaine Cheung <pcheung@redhat.com> - 1.15.6-1.Final_redhat_00001.1
- 1.15.6.Final_redhat_00001

* Tue Aug 03 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.15.5-1.Final_redhat_00001.1
Built by CPaaS

* Wed May 12 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.15.3-2.Final_redhat_00001.1
Built by CPaaS

* Mon Apr 19 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.15.3-1.Final_redhat_00001.1
Built by CPaaS

* Tue Feb 09 2021 Permaine Cheung <pcheung@redhat.com> - 1.14.1-1.Final_redhat_00001.1
- 1.14.1.Final-redhat-00001

* Wed Nov 18 2020 Permaine Cheung <pcheung@redhat.com> - 1.13.1-2.Final_redhat_00001.1
- Add wildfly-elytron-http-external jar

* Wed Nov 04 2020 Permaine Cheung <pcheung@redhat.com> - 1.13.1-1.Final_redhat_00001.1
- 1.13.1.Final_redhat_00001

* Tue Jul 14 2020 Permaine Cheung <pcheung@redhat.com> - 1.12.1-1.Final_redhat_00001.1
- 1.12.1.Final-redhat-00001

* Mon Dec 09 2019 Permaine Cheung <pcheung@redhat.com> - 1.10.4-1.Final_redhat_00001.1
- 1.10.4.Final-redhat-00001

* Thu Nov 07 2019 Permaine Cheung <pcheung@redhat.com> - 1.10.3-1.Final_redhat_00001.1
- 1.10.3.Final-redhat-00001

* Wed Nov 06 2019 Permaine Cheung <pcheung@redhat.com> - 1.9.1-2.Final_redhat_00001.1
- 1.10.3.Final-redhat-00001

* Thu Jul 18 2019 Permaine Cheung <pcheung@redhat.com> - 1.9.1-1.Final_redhat_00001.1
- 1.9.1.Final-redhat-00001

* Thu Jul 18 2019 Permaine Cheung <pcheung@redhat.com> - 1.9.1-1.Final_redhat_00001.1
- 1.9.1.Final-redhat-00001

* Fri May 17 2019 Permaine Cheung <pcheung@redhat.com> - 1.8.0-1.Final_redhat_00001.1
- 1.8.0.Final_redhat_00001

* Fri Sep 21 2018 Petr Sakar <psakar@redhat.com> - 1.6.1-1.Final_redhat_00001.1
- upgrade to 1.6.1.Final-redhat-00001

* Tue Aug 28 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.6.0-1.Final_redhat_00001.1
- upgrade to 1.6.0.Final-redhat-00001

* Tue Aug 14 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.5.3-1.Final_redhat_00001.1
- upgrade to 1.5.3.Final-redhat-00001

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 1.3.3-2.Final_redhat_1.1
- Rewrap for 7.2.0

* Tue May 29 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.3-1.Final_redhat_1.1
- upgrade to 1.3.3.Final-redhat-1

* Wed May 23 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.3.2-1.Final_redhat_1.1
- upgrade to 1.3.2.Final-redhat-1

* Wed May 23 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.3.2-1.Final_redhat_1.1
- upgrade to 1.3.2.Final-redhat-1

* Wed Mar 21 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.1.9-1.Final_redhat_1.1
- upgrade to 1.1.9.Final-redhat-1

* Mon Jan 29 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.1.8-1.Final_redhat_1.1
- upgrade to 1.1.8.Final-redhat-1

* Fri Nov 03 2017 Petr Sakar <psakar@redhat.com> - 1.1.7-1.Final_redhat_1.1
- upgrade to 1.1.7.Final-redhat-1

* Fri Oct 20 2017 Petr Sakar <psakar@redhat.com> - 1.1.6-1.Final_redhat_1.1
- upgrade to 1.1.6.Final-redhat-1

* Fri Oct 13 2017 Petr Sakar <psakar@redhat.com> - 1.1.5-1.Final_redhat_1.1
- upgrade to 1.1.5.Final-redhat-1

* Mon Oct 09 2017 Petr Sakar <psakar@redhat.com> - 1.1.4-1.Final_redhat_1.1
- upgrade to 1.1.4.Final-redhat-1

* Wed Sep 13 2017 Petr Sakar <psakar@redhat.com> - 1.1.2-1.Final_redhat_1.1
- upgrade to 1.1.2.Final-redhat-1

* Fri Aug 25 2017 Petr Sakar <psakar@redhat.com> - 1.1.1-1.Final_redhat_1.1
- upgrade to 1.1.1.Final-redhat-1

* Sun Aug 20 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-19.Final_redhat_1.1
- upgrade to 1.1.0.Final-redhat-1

* Wed Jul 26 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-18.CR4_redhat_1.1
- upgrade to 1.1.0.CR4-redhat-1

* Mon Jul 03 2017 Martin Minar <mminar@redhat.com> - 1.1.0-17.CR2_redhat_1.1
- upgrade to 1.1.0.CR2-redhat-1

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-16.CR1_redhat_1.1
- upgrade to 1.1.0.CR1-redhat-1

* Wed Jun 28 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-15.Beta55_redhat_1.1
- upgrade to 1.1.0.Beta55-redhat-1

* Thu Jun 08 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-14.Beta52_redhat_1.1
- upgrade to 1.1.0.Beta52-redhat-1

* Thu May 25 2017 Martin Minar <mminar@redhat.com> - 1.1.0-13.Beta47_redhat_1.1
- update to 1.1.0.Beta47

* Wed May 10 2017 Martin Minar <mminar@redhat.com> - 1.1.0-12.Beta42_redhat_1.1
- update to version 1.1.0.Beta42

* Mon Apr 24 2017 Martin Minar <mminar@redhat.com> - 1.1.0-11.Beta38_redhat_1.1
- update to version 1.1.0.Beta38

* Fri Apr 21 2017 Martin Minar <mminar@redhat.com> - 1.1.0-10.Beta36_redhat_1.1
- upgrade to 1.1.0.Beta36-redhat-1

* Mon Apr 03 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-9.Beta34_redhat_1.1
- upgrade to 1.1.0.Beta34-redhat-1

* Wed Mar 22 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-8.Beta31_SP1_redhat_1.1
- upgrade to 1.1.0.Beta31-SP1-redhat-1

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-7.Beta31_redhat_1.1
- upgrade to 1.1.0.Beta31-redhat-1

* Tue Feb 28 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-6.Beta27_redhat_1.1
- upgrade to 1.1.0.Beta27-redhat-1

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-5.Beta25_redhat_1.1
- upgrade to 1.1.0.Beta25-redhat-1

* Tue Jan 24 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-4.Beta21_redhat_1.1
- upgrade to 1.1.0.Beta21-redhat-1

* Sun Jan 22 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-3.Beta20_redhat_1.1
- upgrade to 1.1.0.Beta20-redhat-1

* Thu Jan 12 2017 David Walluck <dwalluck@redhat.com> - 1.1.0-2.Beta18_redhat_1.1
- build RPMS for latest version

* Fri Dec 16 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-1.Beta17_redhat_1.1
- upgrade to 1.1.0.Beta17-redhat-1

* Mon Aug 15 2016 Petr Sakar <psakar@redhat.com> - 1.0.3-1.Final_redhat_1.1
- upgrade to 1.0.3.Final-redhat-1

* Fri Nov 20 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.2-1.Final_redhat_1.1
- Upgrade to 1.0.2.Final

* Wed Oct 21 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.1-1.Final_redhat_1.1
- 1.0.1.Final

* Thu Aug 27 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.0-3.CR1_redhat_1.1
- Update to 1.0.0.CR1

* Thu Aug 27 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.0-3.CR1_redhat_1.1
- Update to 1.0.0.CR1

* Wed Aug 26 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.0-2.Alpha3_redhat_1.1
- Upgrade to 1.0.0.Alpha3-redhat-1

* Thu Jul 30 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Alpha2_redhat_1.1
- release

